<div fxLayout="row" fxLayoutGap="25px">
  <div fxLayout="column" [style.width.px]="windowWidth" [style.height.px]="windowHeight">
    <agm-map [latitude]="latitude" [longitude]="longitude" [zoom]=17 [mapDraggable]="false">
      <agm-circle [latitude]="latitude" [longitude]="longitude" [radius]="100" fillColor="yellow"
                  [strokeColor]="'black'" [strokeWeight]="0.5" [fillOpacity]="0.5"></agm-circle>
      <agm-marker [latitude]="latitude" [longitude]="longitude"></agm-marker>
    </agm-map>
  </div>

  <div fxLayout="column">

    <div fxLayout="row">
      Στην ενότητα αυτή μπορείτε να διαμορφώσετε το μήνυμα που θέλετε να εμφανίζεται στον καταναλωτή όταν βρίσκεται σε
      απόσταση μικρότερη των 100 μέτρων από το κατάστημά σας.
    </div>

    <div fxLayout="row">
      <form fxLayout="row wrap" style="padding: 5px;" fxFlex="100" fxLayoutAlign="space-between flex-start" [formGroup]="form" autocomplete="off">
        <mat-form-field appearance="fill" fxFlex="100">
          <mat-label class="titleM">Τίτλος ειδοποίησης</mat-label>
          <input fxFlex="100" matInput [formControlName]="'title'">
        </mat-form-field>

        <mat-form-field appearance="fill" fxFlex="100">
          <mat-label class="titleM">Περιεχόμενο ειδοποίησης</mat-label>
          <textarea [style.height.px]="windowHeight - 180" [style.max-height.px]="windowHeight - 180" [style.min-height.px]="windowHeight - 180" matInput [formControlName]="'body'"></textarea>
        </mat-form-field>

          <mat-slide-toggle [formControlName]="'isActive'" [checked]="form.controls.isActive.value">Αποστολή ειδοποίησης</mat-slide-toggle>
      </form>
    </div>

    <div fxLayout="row" fxFlex="100" fxLayoutAlign="center center">
      <button mat-flat-button class="rounded-button" (click)="updateGeoFence()">Ενημέρωση</button>
    </div>

    </div>

</div>
